For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • Integrations
    • Collaboration tools
    • Data Export
    • Edge tools
    • Environments as a service
    • Experimentation and metric integrations
    • Internal developer platforms
    • Monitoring tools
    • Segments integrations
    • Workflow management tools
    • More integrations
    • Managing integrations
    • Using the LaunchDarkly integration framework
    • Building partner integrations
      • Getting started
      • Defining an integration manifest
      • Registering a LaunchDarkly OAuth client
      • Using form variables
      • Using integration framework capabilities
        • Approvals capability
        • Change history events hook capability
        • Endpoints capability
        • Feature stores capability
        • Flag links capability
        • Reserved custom properties capability
        • Synced segments capability
        • Triggers capability
      • Validating an integration
Sign inTry it free
LogoLogo
On this page
  • Overview
  • About endpoints
IntegrationsBuilding partner integrationsUsing integration framework capabilities

Endpoints capability

Was this page helpful?
Previous

Feature stores capability

Next
Built with

Overview

This topic explains how to use the endpoints integration framework capability.

About endpoints

Some capabilities require you to specify an endpoint that LaunchDarkly can make requests to. For example, you can specify an endpoint as follows:

Endpoint example
1 "endpoint": {
2 "url": "{{endpointUrl}}",
3 "method": "POST",
4 "headers": [
5 {
6 "name": "Content-Type",
7 "value": "application/json"
8 },
9 {
10 "name": "Authorization",
11 "value": "Bearer {{apiToken}}"
12 }
13 ]
14 },

This specification must include all appropriate request semantics including the URL, method, and headers.

In the example above, the properties endpoint.url and endpoint.headers[].value accept template variables. These template variables can reference any formVariables you’ve defined in your manifest. This lets you configure a dynamic endpoint based on the formVariables your integration collects from the end user. To learn more, read Using form variables.

The templating language LaunchDarkly uses is based off of a subset of the Handlebars syntax. To learn more, read the Handlebars documentation.

This example uses the endpointUrl form variable as the URL of the endpoint and the apiToken as a Bearer token in the Authorization header:

Endpoint example
1 "endpoint": {
2 "url": "{{endpointUrl}}",
3 "method": "POST",
4 "headers": [
5 {
6 "name": "Content-Type",
7 "value": "application/json"
8 },
9 {
10 "name": "Authorization",
11 "value": "Bearer {{apiToken}}"
12 }
13 ]
14 },

This example uses the apiToken form variable as a query parameter on the URL:

Endpoint example
1 "endpoint": {
2 "url": "https://example.com/apiToken?={{apiToken}}",
3 "method": "POST"
4 },